
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

import java.util.*;

abstract class Glyph {
	abstract void draw();
	 public Glyph() {
		System.out.println("Glyph() vor draw() ");
		draw();
		System.out.println("Glyph() nach draw() ");
	}
}

public class RoundGlyph extends Glyph {
	int radius = 1;
	public RoundGlyph(int r) {
		radius = r;
		 System.out.println(" RoundGlyph radius: "+ radius);
	}
	void draw() {
		System.out.println(" RoundGlyph.draw radius: "+ radius);
	}

   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

 static public void main(String[] args) {
	 new RoundGlyph(5);
   pause();
  }
}



